[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'AvgLvlTree' (#lcl)

# TAvgLvlTree.FindNearestKey

Same as FindKey, but if the exact Key can not be found a Node left or right of it is returned.

## Declaration

Source position: avglvltree.pas line 72

`public function TAvgLvlTree.FindNearestKey(`
`Key: Pointer;`
`OnCompareKeyWithData: TListSortCompare`
`):TAvgLvlTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.